CPU = msp430f6636
F_CPU=8000000

CC = msp430-gcc
CFLAGS = -mmcu=${CPU} -O2 -Wall -Wno-parentheses
CFLAGS+= -DF_CPU=$(F_CPU)
PROG = msp430-usbbsl
OBJECTS = pm2.o

PROJECT=pm2

all: $(PROJECT).elf $(PROJECT).hex $(PROJECT).lst

$(PROJECT).elf: $(OBJECTS)
	${CC} -mmcu=${CPU} -o $@ $(OBJECTS)

$(PROJECT).hex: $(PROJECT).elf
	msp430-objcopy -O ihex $^ $@
#	ihex2titext -o $(PROJECT).txt $@ 

$(PROJECT).lst: $(PROJECT).elf
	msp430-objdump -dSt $^ >$@

program: flash

flash: all
	$(PROG) $(PROJECT).hex

clean:
	rm -f $(PROJECT).elf $(PROJECT).hex $(PROJECT).lst *.o

.cpp.o:
	$(CC) $(CFLAGS) -c $< -o $@
